%define name	atari800
%define ver	3.1.0
%define rel	1
%define copy	GPL-2.0
%define ich 	Ulrich Hecht <uli@suse.de>
%define group	System/Emulators
%define realname atari800-%{ver}
%define src atari800-%{ver}.tar.gz
## If you change the targets, you'll have to change the files list at the
## bottom of this file as well
%define maintarget sdl
Summary:	An emulator of 8-bit Atari personal computers
Name:		%{name}
Version:	%{ver}
Release:	1.15
License:	%{copy}
URL: http://atari800.sourceforge.net/
Group:	%{group}
Source: http://prdownloads.sourceforge.net/atari800/%{src}
Source1: xf25.zip
BuildRequires: ncurses-devel 
BuildRequires: xorg-x11-devel 
BuildRequires: SDL-devel 
BuildRequires: unzip
BuildRequires: update-desktop-files

%description
Atari800 is an emulator for the 800, 800XL, 130XE and 5200 models of
the Atari personal computer. It can be used on console, FrameBuffer or X11.
It features excellent compatibility, HIFI sound support, artifacting
emulation, precise cycle-exact ANTIC/GTIA emulation and more.

Authors:
David Firth
and Atari800 Development Team (see CREDITS for a full list)

%prep
%setup -n %{realname}/src

%build
%configure
make
make clean

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
install --strip atari800 $RPM_BUILD_ROOT/usr/bin

rm -fr $RPM_BUILD_ROOT/usr/share/doc
mkdir -p $RPM_BUILD_ROOT/usr/share/atari800
unzip -d $RPM_BUILD_ROOT/usr/share/atari800 -L %SOURCE1
rm -f $RPM_BUILD_ROOT/usr/share/atari800/xf25.*
mkdir -p $RPM_BUILD_ROOT/usr/share/icons/hicolor/{128x128,scalable}/apps/
cp $RPM_BUILD_DIR/%{realname}/data/atari*.png $RPM_BUILD_ROOT/usr/share/icons/hicolor/128x128/apps/%{name}.png
cp $RPM_BUILD_DIR/%{realname}/data/atari*.svg $RPM_BUILD_ROOT/usr/share/icons/hicolor/scalable/apps/%{name}.svg

%suse_update_desktop_file -c %{name} "Atari 800 emulator" "An emulator for the 8bit Atari personal computers." %{name} %{name} "System;Emulator;"

%clean
rm -rf $RPM_BUILD_ROOT

%post
%desktop_database_post 

%postun
%desktop_database_postun

%files
%defattr(-,root,root)
%doc ../COPYING ../README.1ST ../DOC/*
/usr/bin/atari800
/usr/share/atari800
%doc %_mandir/man1/atari800.1.gz
/usr/share/applications/atari800.desktop
/usr/share/icons/hicolor/

%changelog
* Sat Apr 12 2014 Aleksey Inozemcew inozemcew@i.ua 3.1.0-1
- 3.1.0 released on 2014-04-12 - Petr Stehlik <pstehlik@sophics.cz>
    * DOC/ChangeLog, DOC/NEWS: updated for new release
    * README.1ST, atari800.spec, DOC/README, atari.h, atari800.man, configure.ac,
  util/export: version++

* Fri Apr 3 2009 - uli@suse.de
- update -> 2.1.0
  New features:
  * added Axlon and Mosaic RAM expansions for Atari 400/800
  * added emulation of 1400XL, 1450XLD, MIO and Black Box
  * added support of .PRO copy-protected disk images
  * implemented tape loading with variable bitrates
  * implemented cassette writing via hardware registers
  * added switching between NTSC and PAL color palettes
  * added emulation of XEP80 and a prototype 80 column card
    for the Atari 1090 (SDL only currently)
  * added emulation of CX85 numeric keyboard (Java and SDL only)
  * event recording added (-record, -playback): save your game walkthrough
    using the "-record mygame.dat" and later impress your friends by
    your game skills or highest score using the "-playback mygame.dat"
  * NTSC Filter option added to UI
  * -directmouse added to SDL and X11 (used for -mouse pad or koala)
  * monitor supports arrow keys - e.g. up-arrow for history
  * SDL: interpolated scanlines (use -scanlinesnoint to disable)
  * SDL: added -mouse, -mousespeed, -grabmouse (also Alt+M)
  * SDL: visual configuration of keyboard joysticks layout in the UI
         (F1 -> Controller Configuration -> Define layout)
         default mapping changed to 4,8,6,5 (joy0) and A,W,D,S (joy1)
  * R: device can be serial-only, network-only or both (selectable)
  * R: device now supported on MS Windows and Dreamcast as well
  * a completely new port to Java using NestedVM, running also as an applet
  * Falcon/TT: removed Devpac dependency in asm files (now gcc friendly)
  Fixes:
  * fix for "Ilusia" demo
  * better GTIA bug mode emulation
  * POKEY sound: nonlinear mixing (not enabled by default), two-tone filter
  * fixed POKEY registers: ALLPOT, IRQEN and STIMER
  * various Atari5200 fixes
  * fixed Atrax cartridge bank switching
  * fixed sound recording to WAV
  * -showspeed fixed, now shows speed <= 100%% correctly
  * major source code cleanup, compiles with -pedantic etc.
  * Save State: added support for Axlon and Mosaic (version increased to 5),
                fixed PBIM12 restoring, fixed PAGED_MEM error with POKEY,
                color palette restoring fixed
  * SDL: using DirectX driver on MS Windows (much faster),
         fixed stdout.txt on MS Windows,
         fixed broken Caps Lock key handling,
         -audio16 fixed
  * Dreamcast recognizes the TAB key
  * MS-Windows: Shift+Control fixes
  * dropped SVGAlib target - use SDL instead
